#
# spec file for package pidgin (Version 2.4.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pidgin
Summary:        GTK+-Based Multiprotocol Instant Messaging Client
Version:        2.4.0
Release:        1
License:        GPL v2 or later
Group:          Productivity/Networking/Instant Messenger
Url:            http://www.pidgin.im/
Source:         %{name}-%{version}.tar.bz2
Source1:        pidgin-NLD-smiley-theme.tar.bz2
Source2:        pidgin-Tango-smiley-theme.tar.bz2
Patch1:         pidgin-gnome-keyring.patch
Patch2:         pidgin-nonblock-aim.patch
Patch3:         pidgin-nonblock-common.patch
Patch4:         pidgin-nonblock-gwim.patch
Patch5:         pidgin-nonblock-common2.patch
Patch7:         pidgin-check.patch
Patch9:         includes.patch
Patch10:        pidgin-64bit-buildhack.patch
# PATCH-FIX-UPSTREAM: pidgin-directconn-argfix.patch
Patch11:        pidgin-directconn-argfix.patch
Patch12:        pidgin-dbus-invalid-gpointer.patch
# Can use external libzephyr
BuildRequires:  cyrus-sasl-devel dbus-1-devel doxygen evolution-data-server-devel gnome-keyring-devel graphviz gtk-doc gtkspell-devel intltool libao-devel libbonobo-devel libgadu-devel libstdc++-devel libxml2-devel libxslt meanwhile-devel mono-devel mozilla-nspr-devel mozilla-nss-devel ncurses-devel perl-XML-Parser python sqlite-devel startup-notification-devel tk-devel update-desktop-files
# Product specific lines
%if %suse_version >= 1000 || 0%{?opensuse_bs}
BuildRequires:  NetworkManager-devel
%endif
%if %suse_version == 1010 || 0%{?opensuse_bs}
BuildRequires:  NetworkManager-gnome
%endif
%if %suse_version >= 1010 || 0%{?opensuse_bs}
BuildRequires:  gstreamer010-devel
%else
BuildRequires:  gstreamer-devel
%endif
%if %suse_version >= 1011 || 0%{?opensuse_bs}
BuildRequires:  dbus-1-glib-devel
%else
BuildRequires:  dbus-1-glib
%endif
%if %suse_version >= 1021 || 0%{?opensuse_bs}
BuildRequires:  silc-toolkit-devel
BuildRequires:  fdupes libnotify-devel
%if %suse_version > 1030 || 0%{?opensuse_bs}
BuildRequires:  libavahi-glib-devel
%else
BuildRequires:  avahi-devel
%endif
%endif
Requires:       libpurple-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Existed before 10.3:
Obsoletes:      gaim <= 1.5.0
# Has never been in SuSE:
Obsoletes:      gaim-applet
# Was only in the Build Service after 10.2:
Obsoletes:      gaim-unstable < 2.0.0
Provides:       gaim
%gconf_schemas_prereq

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ,
IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and Zephyr.
These protocols are implemented using a modular, easy to use design. To
use a protocol, just add an account using the account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as Perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%package devel
#'
Summary:        Development Headers, Documentation, and Libraries for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       %{name} = %{version} glib2-devel gtk2-devel libpurple-devel = %{version}

%package -n libpurple
Summary:        Library for IM Clients Like Pidgin and Finch
Group:          Productivity/Networking/Instant Messenger
# Not really required, but standard Jabber accounts require it, if compiled with SASL support.
Requires:       cyrus-sasl-digestmd5 cyrus-sasl-plain
Requires:       libpurple-lang = %{version}
# Needed for purple-url-handler:
Requires:       dbus-1-python

%package -n libpurple-devel
Summary:        Development Headers, Documentation, and Libraries for libpurple
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version} NetworkManager-devel NetworkManager-glib glib2-devel gnome-keyring-devel libxml2-devel
Requires:       pkg-config
Obsoletes:      gaim-devel <= 1.5.0
Obsoletes:      gaim-unstable-devel < 2.0.0

%package -n libpurple-meanwhile
Summary:        Lotus Sametime Plugin for Pidgin Using the Meanwhile Library
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}

%package -n libpurple-mono
Summary:        Mono .NET Plugin Support for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}

%package -n finch
Summary:        Text-Based User Interface for Pidgin Instant Messaging Client
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple = %{version}
Obsoletes:      gaim-unstable-text < 2.0.0
Provides:       gaim-unstable-text

%package -n finch-devel
Summary:        Headers etc. for finch Stuffs
Group:          Productivity/Networking/Instant Messenger
Requires:       finch = %{version} glib2-devel glibc-devel libpurple-devel = %{version} ncurses-devel
Requires:       pkg-config
Obsoletes:      gaim-unstable-text-devel

%description devel
The pidgin-devel package contains the header files, developer
documentation, and libraries required for development of Pidgin scripts
and plugins.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%description -n libpurple
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%description -n libpurple-devel
The libpurple-devel package contains the header files, developer
documentation, and libraries required for development of libpurple
based instant messaging clients or plugins for any libpurple based
client.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%description -n libpurple-meanwhile
Lotus Sametime plugin for Pidgin using the Meanwhile library.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%description -n libpurple-mono
Mono plugin loader for Pidgin.	This package will allow you to write or
use Pidgin plugins written in the .NET programming language.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%description -n finch 
A text-based user interface for using libpurple.  This can be run from
a standard text console or from a terminal within X Windows.  It uses
ncurses and our homegrown gnt library for drawing windows and text.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%description -n finch-devel
The finch-devel package contains the header files, developer
documentation, and libraries required for development of Finch scripts
and plugins.



Authors:
--------
    Sean Egan <seanegan@gmail.com>
    Daniel 'datallah' Atallah
    Ethan 'Paco-Paco' Blanton
    Thomas Butter
    Sadrul Habib Chowdhury
    Mark 'KingAnt' Doliner
    Christian 'ChipX86' Hammond & Webmaster
    Gary 'grim' Kramlich
    Richard 'rlaager' Laager
    Richard 'wabz' Nelson
    Christopher 'siege' O'Brien
    Bartosz Oler
    Etan 'deryni' Reisner
    Tim 'marv' Ringenbach
    Luke 'LSchiere' Schierer
    Megan 'Cae' Schneider
    Evan Schoenberg
    Stu 'nosnilmot' Tomlinson
    Nathan 'faceprint' Walp
    John 'rekkanoryo' Bailey
    Ka-Hing 'javabsp' Cheung
    Felipe 'shx' Contreras
    Decklin Foster
    Casey Harkins
    Peter 'Bleeter' Lawler
    Robert 'Robot101' McQueen
    Benjamin Miller
    Kevin 'SimGuy' Stange
    Herman Bloggs
    Jim Duchek <jim@linuxpimps.com>
    Rob Flynn <gaim@robflynn.com>
    Adam Fritzler
    Syd Logan
    Jim Seymour
    Mark Spencer <markster@marko.net>
    Eric Warmenhoven <eric@warmenhoven.org>
    Hylke Bons
    Naru Sundar
    Peter Teichiman <peter@helixcode.com>
    Larry Ewing 
    Jeramey A. Crawford
    Nathan Walp
    Neil Sanchala
    Arkadiusz Miskiewicz
    David Prater <draven@tcsx.net>
    Sbastien Carp
    Ari Pollak
    Decklin Foster
    David
    S D Erle
    BMiller
    Lance Rocker
    ergofobe
    Justin M. Ward <justin@yossman.net>
    G. Sumner Hayes
    Brian Ryner
    Ryan C. Gordon
    Elliot Tobin <elliot@bha.udel.edu>
    Jeroen van der Vegt
    The OpenQ Team

%lang_package -n libpurple
%prep
#'
%setup -q -a1 -a2
%patch1 -p1
# FIXME: Port this patch:
#%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7
%patch9 -p1
%patch11 -p1
%patch12
# Change Myanmar/Myanmar to Myanmar:
rename my_MM my po/my_MM.*
sed -i "/^ALL_LINGUAS/s/ my_MM / my /" configure.ac
# ditto for sr@latin to sr@Latn
rename sr@latin sr@Latn po/sr@latin.*
sed -i "/^ALL_LINGUAS/s/ sr@latin / sr@Latn /" configure.ac

%build
# -fno-strict-aliasing needed for 2.0.0
%if %suse_version > 1000
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector -fPIC -fno-strict-aliasing"
export LDFLAGS="-pie"
%else
export CFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
%endif
ACLOCAL="aclocal -I m4macros" autoreconf -f -i
%configure\
	--disable-static\
	--enable-plugins\
	--enable-cyrus-sasl\
	--enable-dbus=yes\
	--enable-mono=yes\
	--enable-gstreamer=yes\
	--enable-gnome-keyring=yes\
	--enable-nm=yes\
	--enable-dbus=yes\
	--enable-devhelp\
	--with-perl-lib=/usr\
	--with-nspr-includes=/usr/include/nspr4\
	--with-nss-includes=/usr/include/nss3\
	--with-tclconfig=/usr/%_lib\
	--with-tkconfig=/usr/%_lib
cd libpurple
make dbus-bindings.c
cd ..
#patch -p0 <%{P:10}
make
# Mono bindings 2.1.0 are not parallel build ready:
#make %{?jobs:-j%jobs}

%install
%makeinstall
%perl_process_packlist
%suse_update_desktop_file -N Pidgin -G "Instant Messenger" %{name} InstantMessaging
cp -a NLD $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/pidgin/emotes
cp -a Tango $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/pidgin/emotes
rm $RPM_BUILD_ROOT%{_prefix}/%_lib/pidgin/*.*a
# FIXME: Should be nonversioned name:
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/liboscar.so && rm $RPM_BUILD_ROOT%{_libdir}/purple-2/liboscar.so
test -L $RPM_BUILD_ROOT%{_libdir}/purple-2/libjabber.so && rm $RPM_BUILD_ROOT%{_libdir}/purple-2/libjabber.so
#find $RPM_BUILD_ROOT -type f -name .packlist -exec rm {} ';'
#find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm {} ';'
%find_lang %{name}
rm $RPM_BUILD_ROOT%{_libdir}/*/*.la
# NOTE: Original has also "grep -v /libbonjour.so | \"
find $RPM_BUILD_ROOT%{_libdir}/purple-2 -xtype f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v /libsametime.so | \
        grep -v /mono.so | \
        grep -v ".dll$" > %{name}-%{version}-purpleplugins
find $RPM_BUILD_ROOT%{_libdir}/pidgin -xtype f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-pidginplugins
find $RPM_BUILD_ROOT%{_libdir}/finch -xtype f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-finchplugins
%find_gconf_schemas
cat %{name}.schemas_list %{name}-%{version}-pidginplugins >%{name}.lst
# pointless libtool .la file with only trivial dependencies
rm $RPM_BUILD_ROOT%{_libdir}/libpurple.la $RPM_BUILD_ROOT%{_libdir}/libpurple-client.la
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%post -n libpurple -p /sbin/ldconfig

%postun -n libpurple -p /sbin/ldconfig

%post -n finch -p /sbin/ldconfig

%postun -n finch -p /sbin/ldconfig

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README README.MTN doc/the_penguin.txt
%dir %{_libdir}/pidgin
%{perl_vendorarch}/Pidgin.pm
%{perl_vendorarch}/auto/Pidgin
%{_bindir}/pidgin
%{_datadir}/pixmaps/pidgin
%{_datadir}/icons/hicolor/*/apps/pidgin.*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/sounds/purple
%{_datadir}/sounds/purple/*
%doc %{_mandir}/man1/pidgin.*
%doc %{_mandir}/man3/Pidgin.*
/var/adm/perl-modules/pidgin

%files devel
%defattr(-,root,root)
%{_includedir}/pidgin
%{_libdir}/pkgconfig/pidgin.pc

%files -n libpurple-lang -f %{name}.lang

%files -n libpurple -f %{name}-%{version}-purpleplugins
%defattr(-, root, root)
%doc libpurple/purple-notifications-example
%{_bindir}/purple-client-example
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-url-handler
%{_datadir}/pixmaps/purple
%dir %{_datadir}/purple
%dir %{_datadir}/purple/ca-certs
%{_datadir}/purple/ca-certs/Equifax_Secure_CA.pem
%{_datadir}/purple/ca-certs/GTE_CyberTrust_Global_Root.pem
%{_datadir}/purple/ca-certs/Microsoft_Secure_Server_Authority.pem
%{_datadir}/purple/ca-certs/StartCom_Free_SSL_CA.pem
%{_datadir}/purple/ca-certs/Verisign_Class3_Primary_CA.pem
%{_datadir}/purple/ca-certs/Verisign_RSA_Secure_Server_CA.pem
%{_libdir}/libpurple.so.*
%{_libdir}/libpurple-client.so.*
%dir %{_libdir}/purple-2
%{perl_vendorarch}/Purple.pm
%{perl_vendorarch}/auto/Purple

%files -n libpurple-meanwhile
%defattr(-, root, root)
%{_libdir}/purple-2/libsametime.*

%files -n libpurple-mono
%defattr(-, root, root)
%{_libdir}/purple-2/mono.so
%{_libdir}/purple-2/*.dll

%files -n libpurple-devel
%defattr(-, root, root)
%doc ChangeLog.API HACKING PLUGIN_HOWTO
%{_includedir}/libpurple
%{_datadir}/aclocal/purple.m4
%{_libdir}/libpurple.so
%{_libdir}/libpurple-client.so
%{_libdir}/pkgconfig/purple.pc
%doc %{_mandir}/man3/Purple.*

%files -n finch -f %{name}-%{version}-finchplugins
%defattr(-, root, root)
%{_bindir}/finch
%{_libdir}/libgnt.so.*
%{_libdir}/gnt
%dir %{_libdir}/finch
%doc %{_mandir}/man1/finch.*

%files -n finch-devel
%defattr(-, root, root)
%{_includedir}/finch
%{_includedir}/gnt
%{_libdir}/libgnt.so
%{_libdir}/libgnt.*a
%{_libdir}/pkgconfig/finch.pc
%{_libdir}/pkgconfig/gnt.pc

%changelog
* Mon Mar 03 2008 sbrabec@suse.cz
- Update to version 2.4.0:
  - Backend
  *  Added support for offline messages for AIM accounts
  *  Fixed various problems with loss of status messages when going
  or returning from idle on MySpaceIM
  *  Bonjour protocol now uses Avahi instead of Howl
  *  Partial support for viewing ICQ status notes
  *  Support for /notice on IRC
  *  Support for Yahoo! Messenger 7.0+ file transfer method
  *  Support for retrieving full names and addresses from the
  address book on Yahoo! Japan
  *  The AIM/ICQ server-side preference for "allow others to see me
  as idle" is no longer unconditionally set to "yes"
  *  Fix SSL certificate checks for renewed certificates
  *  Fix the ability to set vCard buddy icons on Google Talk/XMPP
  *  D-Bus fixes on 64bit
  *  Fixed retrieval of buddy icons and setting of server-side
  aliases on Yahoo! and Yahoo! Japan with a HTTP proxy server
  *  Fixed an MSN bug that would leave you appearing offline when
  transferred to different server
  - Pidgin frontend
  *  Input text area in conversation windows auto-resizes
  *  Added the ability to theme conversation name colors through
  the GTK+ theme
  *  Fixed having multiple alias edit areas in the infopane
  *  Save the conversation "Enable Logging" option per-contact
  *  Typing notifications are now shown in the conversation area
  - Finch frontend
  *  More colors is now used
  *  The default keybinding for dump-screen is now M-D
  *  New navigating between the higlighted windows bindings alt+tab
  and alt+shift+tab
  *  Recently signed on (or off) buddies blink in the buddy list
  *  New action 'Room List' in the action list can be used
  *  The 'Grouping' plugin can be used for alternate grouping
  *  Added a log viewer
  *  Added the ability to block/unblock buddies
  *  Fixed a bug preventing finch working on x86_64
* Thu Jan 10 2008 maw@suse.de
- Fix installation of Serbian (Latin script) translation data.
* Sat Dec 08 2007 james@usr-local-bin.org
- Update to version 2.3.1:
  + http://developer.pidgin.im/query?status=closed&milestone=2.3.1
  + libpurple:
  * Fixed a number of MSN bugs introduced in 2.3.0, resolving problems
  connecting to MSN and random local display name changes
  * Going idle on MySpaceIM will no longer clear your status and message.
  * Idle MySpaceIM buddies should now appear online at login.
  * Fixed crashes in XMPP when discovering a client's capabilities
  * Don't set the current tune title if it's NULL (XMPP/Google Talk)
  * Don't allow buddies to be manually added to Bonjour
  * Don't advertise IPv6 on Bonjour because we don't support it
  * Compile fixes for FreeBSD and Solaris
  * Update QQ client version so some accounts can connect again
  * Do not allow ISON requests to stack in IRC, preventing flooding IRC
  servers when temporary network outages are restored
  * Plug several leaks in the perl plugin loader
  * Prevent autoaccept plugin overwriting existing files
* Sat Dec 01 2007 maw@suse.de
- Update to version 2.3.0:
  + http://developer.pidgin.im/query?status=closed&milestone=2.3.0
  + libpurple:
  * real usernames shown in system log
  * honor a PURPLE_DISABLE_DEPRECATED define to allow plugins to
  catch deprecated functions earlier rather than later.
  * Thanks to a patch from Intel, the Bonjour prpl now supports file
  transfers using XEP-0096 and XEP-0065.  This should enable file
  transfers between libpurple clients and Gajim clients, but will not
  work with iChat or Adium as they use a different file transfer
  implementation.
  * XMPP password changes that return errors no longer cause the saved
  password to be changed.
  * XMPP file transfer support has been enhanced to support sending
  files through a proxy when the server supports discovering a
  a bytestream proxy.  This should make file transfers much more
  reliable.  The next release will add support for manually specifying
  a proxy when the server doesn't advertise one.
  + pidgin:
  * If a plugin says it can't be unloaded, we now display an error and
  remove the plugin from the list of saved plugins so it won't load
  at the next startup.  Previously, we were ignoring this case, which
  could lead to crashes.
  * Mark dialog windows as transient for appropriate parent windows to
  help window managers do the right thing  (Gabriel Schulhof)
  * Connection errors are now reported in mini-dialogs inside the buddy
  list, rather than as buttons in the buddy list and with dialog
  boxes.  If several accounts are disabled when you sign on elsewhere,
  you can now re-enable them all with a single click.
  * Added tooltips to the Room List window to show full topics
  * Added buttons in preferences to access GNOME network and browser
  preferences configuration dialogs when running under GNOME
  * If you alias a buddy to an alias that is already present within
  a particular group, we now offer to merge the buddies into the
  same contact.
  * A music emblem is now displayed in the buddy list for a buddy if we
  know she is listening to some soothing music.
  * Added a 'Move to' menu in buddy list context menu for moving buddies
  to other groups as an alternative to dragging.
  * Group headings are now marked via an underline instead of a
  different color background.
  * It is now possible to mark a chat on your buddy list as "Persistent"
  so you do not leave the chat when the window or tab is closed.
  * The auto-join option for chats is now listed in the "Add Chat"
  dialog along with the new persistence option.
  * Closing an IM no longer immediately closes your conversation.  It
  will now remain active for a short time so that if the conversation
  resumes, the history will be retained.  A preference has been added
  to toggle this behavior.
  * The "Smiley" menu has been moved to the top-level of the toolbar.
  * Pidgin's display is now saved with the command line for session
  restoration.  (David Mohr)
  * ICQ Birthday notifications are shown as buddy list emblems.
  * Plugin actions are now available from the docklet context menu
  in addition to the Tool menu of the buddy list.
  * The manual page has been heavily rewritten to bring it in line
  with current functionality.
  + Finch:
  * If a plugin says it can't be unloaded, we now display an error and
  remove the plugin from the list of saved plugins so it won't load
  at the next startup.  Previously, we were ignoring this case, which
  could lead to crashes.
  * It's possible to bind key-strokes to specific menuitems in the windows.
  Read the 'Menus' section in the man-page for details.
  * 'transpose-chars' operation for the entry boxes. The default key-binding
  is ctrl+t.
  * 'yank' operation for the entry boxes. The default binding is ctrl+y.
- Updated build requirements.
* Tue Nov 13 2007 maw@suse.de
- Add pidgin-directconn-argfix.patch.
* Thu Nov 08 2007 maw@suse.de
- Update to version 2.2.2 (thanks to James, Ivan, and Michel for
  the good work in GNOME:Community!)
  + New protocol plugins
  + XMPP enhancements
  + Certificate management
  + Various and sundry fixes and UI improvements
- Remove obsolete pidgin-stringcompare.patch
- Update pidgin-nonblock-common.patch.
* Wed Oct 24 2007 sbrabec@suse.cz
- Fixed build by providing of lang package in older products.
* Tue Oct 23 2007 sbrabec@suse.cz
- Fixed BuildRequires in Build Service.
* Mon Oct 01 2007 sbrabec@suse.cz
- libpurple requires dbus-1-python (#329734).
* Wed Sep 12 2007 mauro@suse.de
- Update to version 2.1.1
  + Fixed bug bnc #308639
* Thu Sep 06 2007 sbrabec@suse.cz
- Dropped gaim-compat package, fixed provides/obsoletes (#296952).
* Fri Aug 17 2007 ro@suse.de
- fix requires: require libpurple-lang instead of pidgin-lang
* Tue Aug 14 2007 maw@suse.de
- Use %%lang_package -n libpurple instead.
* Sat Aug 11 2007 coolo@suse.de
- split out pidin-lang as required by other packages
* Mon Aug 06 2007 maw@suse.de
- Use %%fdupes
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun
- Split out -lang subpackage.
* Thu Aug 02 2007 sbrabec@suse.cz
- Updated to version 2.1.0:
  * start with new UI concepts
  * largely re-designed conversation window
  * fixed some ICQ internationalization issues
  * enable using SILC Toolkit 1.1
  * lots of bug fixed
* Tue Jul 31 2007 maw@suse.de
- Change some obsoletes and provides stuff.
* Tue Jul 24 2007 maw@suse.de
- Add includes.patch, fixing the build when new versions of
  evolution-data-server are installed.
* Tue Jun 12 2007 ro@suse.de
- avoid string compare with char literal (use strcmp)
* Thu May 31 2007 sbrabec@suse.cz
- Updated to version 2.0.1:
  * Over 100 bugs fixed.
* Mon May 28 2007 sbrabec@suse.cz
- Fixed devel dependencies.
* Tue May 15 2007 sbrabec@suse.cz
- Compile with SILC protocol support.
- Integrated patches ported by Martin Szulecki.
- Fixed NSS/NSPR detection.
- Split gaim compatibility binaries.
- Removed obsolete media files.
* Mon May 14 2007 sbrabec@suse.cz
- Fixed autoreconf.
- Fixed Provides/Obsoletes.
- Require basic SASL plugins required for Jabber.
* Thu May 10 2007 sbrabec@suse.cz
- New SuSE package, version 2.0.0 (successor of gaim).
  Spec file based on work of James Ogley.
